##
#
# newtopics.tcl by Soeren Andersen (san@lerskov.com) - An eggdrop script that will display links to 10 newest phpbb2 forum topics
# The script will work with Eggdrop 1.6.13 probably also older versions.
# This script requires egghttp.tcl loaded and a working newtopics.php script on your server
# 
##

#### SETTINGS START ####

set newtopics_url "http://your.host/YourPath/newtopics.php" ;					# URL of the newtopics.php script on your webserver
set newtopics_cmd "!newtopics" ;								# IRC command to use to trigger this script
set newtopics_channel "#YourChannel" ;								# IRC channel to respond to
set newtopics_headline "This is the 10 newest topics at http://your.host/YourPhpbb2Path/";	# Headline to display, can be empty

#### SETTINGS END (STOP EDITTING HERE!!) ####


proc response {sock} {
    global newtopics_channel
    set buffer [egghttp:data $sock]
    egghttp:cleanup $sock
    foreach line [split $buffer "\n"] {
        set len [string length $line]
	incr len -5;
	set nl [string range $line 0 $len]
	puthelp "PRIVMSG $newtopics_channel :$nl"
    }
}

bind pubm - * newtopics_query
proc newtopics_query {nick uhost hand chan text} {
    global newtopics_cmd newtopics_url newtopics_channel newtopics_headline
    if {([string match [string tolower $text] [string tolower $newtopics_cmd]])} {
	puthelp "PRIVMSG $newtopics_channel :$newtopics_headline"
	set sock [egghttp:geturl $newtopics_url response]
    }
    return 0
}
























